Bug 841175 (CVE-2012-3416) - CVE-2012-3416 condor: host based authentication does not implement forward-confirmed reverse dns
Summary: CVE-2012-3416 condor: host based authentication does not implement forward-co...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-3416
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 841177 848145
Blocks: 841432
TreeView+ depends on / blocked
 
Reported: 2012-07-18 10:41 UTC by Matthew Farrellee
Modified: 2019-09-29 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 841177 (view as bug list)
Environment:
Last Closed: 2012-08-14 18:27:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Condor 3131 None None None 2012-07-18 10:41:20 UTC
Red Hat Product Errata RHSA-2012:1168 normal SHIPPED_LIVE Important: condor security update 2012-08-14 21:57:55 UTC
Red Hat Product Errata RHSA-2012:1169 normal SHIPPED_LIVE Important: condor security update 2012-08-14 21:57:48 UTC

Comment 6 Vincent Danen 2012-08-08 20:26:04 UTC
Condor installations that rely solely upon host-based authentication are vulnerable to an attacker who controls an IP, its reverse-DNS entry and has knowledge of a target site's security configuration. With this control and knowledge, the attacker can bypass the target site's host-based authentication and be authorized to perform privileged actions (i.e. actions requiring ALLOW_ADMINISTRATOR or ALLOW_WRITE). Condor deployments using host-based authentication that contain no hostnames (IPs or IP globs only) or use authentication stronger than host-based are not vulnerable.

Comment 10 Vincent Danen 2012-08-10 19:09:07 UTC
Acknowledgements:

Red Hat would like to thank Ken Hahn and Dan Bradley for reporting this issue.

Comment 14 errata-xmlrpc 2012-08-14 17:58:18 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1169 https://rhn.redhat.com/errata/RHSA-2012-1169.html

Comment 15 errata-xmlrpc 2012-08-14 17:58:51 UTC
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2012:1168 https://rhn.redhat.com/errata/RHSA-2012-1168.html

Comment 16 Vincent Danen 2012-08-14 18:26:26 UTC
Created condor tracking bugs for this issue

Affects: fedora-all [bug 848145]


Note You need to log in before you can comment on or make changes to this bug.